/**
 * @Files
 * Common Style.
*/

html, body {
  line-height: rem(28);
  font-size: 16px;
}
body {
  font-family: $font-verdana;
  color: $black;
}
h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
  font-family: $font-verdana-bold;
  font-weight: 600;
  letter-spacing: 0.05em;
}

h1, .h1 {
  font-size: $h1-size;
  @include media-breakpoint-down(sm) {
    @include fontSize(30);
  }
}
h2, .h2 {
  @include media-breakpoint-down(sm) {
    @include fontSize(24);
  }
}

h3, .h3 {
  @include media-breakpoint-down(sm) {
    @include fontSize(20);
  }
}

h4, .h4 {
  @include media-breakpoint-down(sm) {
    @include fontSize(18);
  }
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

// input focus
.form-control {
  &:focus {
    outline: none;
    box-shadow: none;
  }
}

a {
  color: $black;
  outline: none;
  @include transition(color 0.5s ease);
  &:hover,
  &:focus {
    color: $yellow;
    outline: 0 none;
  }
}

// buttons
// =======================================
button {
  &:focus {
    outline: 0 none;
  }
}
.btn {
  font-family: $font-verdana-bold;
  font-weight: 500;
  letter-spacing: 0;
  line-height: normal;
  padding: rem(12) rem(30);
  border: none;
  min-width: rem(156);
  @include fontSize(16);
  &:focus {
    box-shadow: 0 0 0 transparent;
    outline: 0 none;
  }

  &--pink {
    background-color: $yellow;
    color: $white;
    &:hover,
    &:active {
      color: $white;
      background-color: rgba($yellow, .6);
    }
  }

  &--yellow {
    background-color: $yellow;
    color: $white;
    &:hover,
    &:active {
      color: $white;
      background-color: rgba($yellow, .9);
    }
  }

  &--blue {
    background-color: $blue;
    color: $white;
    &:hover,
    &:active {
      color: $white;
      background-color: rgba($blue, .9);
    }
  }

  &--border {
    color: $yellow;
    border: 2px solid $yellow;

    &:hover,
    &:active,
    &:focus {
      background-color: $yellow;
      color: $white;
    }

    &--white {
      color: $white;
      border-color: $white;

      &:hover,
      &:active,
      &:focus {
        background-color: $white;
        color: $black;
      }
    }
  }

  &--large {
    min-width: auto;
    display: block;
    padding: rem(30) rem(15);
    @include fontSize(14);

    @media (min-width: $ipad) {
      padding: rem(30) rem(15);
      min-width: rem(258);
      @include fontSize(18);
    }
  }

  &--medium {
    width: rem(156);
    max-width: 100%;
    padding: rem(6) rem(4);
    @include media-breakpoint-down(sm) {
      display: block;
      width: 100%;
    }
  }
}

.breadcrumb {
  a {
    color: $gray-200;
  }
}

//animation custom dropdown
.custom-dropdown {

  .dropdown-menu {
    min-width: 100%;
    height: 0;
    border: none;
    overflow: hidden;
    padding: rem(15);
    top: rem(180);
    display: block;
    -webkit-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
    -moz-box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);
    box-shadow: -1px -1px 19px 0 rgba(0,0,0,.34);

    @include fontSize(14);
    @include transform(scale(0));
    @include transition (top .3s)
  }

  &:hover {
    .dropdown-menu {
      top: 100%;
      height: auto;
      @include transform(scale(1));
    }
  }
}

// slick slider 
.slick-slide {
  &:focus {
    outline: none;
  }
}

.overflow-visible {
  overflow: visible;
}
.mb-100 {
  margin-bottom: rem(50);

  @include media-breakpoint-up(xl) {
    margin-bottom: rem(100);
  }
}
// site label heading 
.site-label {
  background-color: $gray-300;
  font-family: $font-verdana-italic;
  padding: 6rem 0 rem(18);
  line-height: rem(40);
  

  h2 {
    font-size: $h2-size;
    line-height: rem(40);
    @include media-breakpoint-up(md) {
      width: 77%;
      margin: auto;
    }
    @include media-breakpoint-down(sm) {
      line-height: 1.4;
      font-size: rem(20);
    }
  }
}

// click here text
.click-here {
  p {
    text-align: center;
    margin: 0 auto rem(80);
    @include fontSize(20);

    @include media-breakpoint-up(md) {
      max-width: 92%;
    }
    @include media-breakpoint-down(sm) {
      font-size: rem(18);
    }
    a {
      color: $yellow;
    }
  }
}

// container width
.container {
  @media (min-width: $ipad) {
    max-width: rem(1400);
  }
}

// full page slider 
.full-page-slider {
  overflow: hidden;
  .slick-list {
    overflow: visible;
  }
}

//separate-line
.separate-line {
  margin-bottom: rem(4);
  border-bottom: 1px solid rgba($white,0.1);
}

// inner banner 
.inner-page-banner {
  min-height: rem(442);
  text-align: center;
  overflow: hidden;

  @include bg-cover;
  @include relative(z-index 1);
  @include flex(center, center);

  &::after {
    content: '';
    width: 100%;
    height: 100%;
    opacity: 0.4;
    background: $blue;
    @include absolute(top 0 z-index -1);
  }

  h1 {
    color: $white;
    text-transform: uppercase;
    @include media-breakpoint-down(sm) {
        line-height: 1.5;
        font-size: rem(28);
    }
    &:after {
      content: '';
      width: rem(50);
      background-color: $white;
      height: rem(5);
      display: block;
      margin: rem(8) auto 0;
    }
  }
}

// Inner banner bar.
.field__item {
  position: relative;
}
.paragraph--type--banner-bar {
    max-width: 50%;
    min-width: 50%;
    margin: 0 auto;
    z-index: 1;
    text-align: center;
    padding: rem(10);
    background: $orange;
    color: $white;
    @include border-radius(22px);
    @include align(true, true, absolute);
    @include media-breakpoint-down(sm) {
      max-width: 80%;
      min-width: 80%;
    }
}
.feed-icons {
  display: none;
}

.path-error-404 {
  main {
    .region-content {
      background-image: url(../images/404.png);
      background-position: top center;
      background-repeat: no-repeat;
      background-size: rem(300) auto;
      text-align: center;
      margin: rem(50) auto;
      padding: rem(220) rem(15) 0;
      @include media-breakpoint-up(lg) {
        max-width: 52%;
      }
    }
  }
}
